Mailinglist Archive: opensuse-security-announce (35 mails)

< Previous Next >
[security-announce] SUSE-SU-2013:1285-1: important: Security update for PHP5
SUSE Security Update: Security update for PHP5
______________________________________________________________________________

Announcement ID: SUSE-SU-2013:1285-1
Rating: important
References: #807707 #828020 #829207
Cross-References: CVE-2013-1635 CVE-2013-1643 CVE-2013-4113
CVE-2013-4635
Affected Products:
SUSE Linux Enterprise Server 10 SP4
SLE SDK 10 SP4
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:


The following security issues have been fixed:

* CVE-2013-4635 (bnc#828020): o Integer overflow in
SdnToJewish()
* CVE-2013-1635 and CVE-2013-1643 (bnc#807707): o
reading system files via untrusted SOAP input o
soap.wsdl_cache_dir function did not honour PHP open_basedir
* CVE-2013-4113 (bnc#829207): o heap corruption due to
badly formed xml

Security Issue references:

* CVE-2013-4113
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-4113
>
* CVE-2013-4635
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-4635
>
* CVE-2013-1635
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1635
>
* CVE-2013-1643
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1643
>



Package List:

- SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc s390x x86_64):

apache2-mod_php5-5.2.14-0.42.1
php5-5.2.14-0.42.1
php5-bcmath-5.2.14-0.42.1
php5-bz2-5.2.14-0.42.1
php5-calendar-5.2.14-0.42.1
php5-ctype-5.2.14-0.42.1
php5-curl-5.2.14-0.42.1
php5-dba-5.2.14-0.42.1
php5-dbase-5.2.14-0.42.1
php5-devel-5.2.14-0.42.1
php5-dom-5.2.14-0.42.1
php5-exif-5.2.14-0.42.1
php5-fastcgi-5.2.14-0.42.1
php5-ftp-5.2.14-0.42.1
php5-gd-5.2.14-0.42.1
php5-gettext-5.2.14-0.42.1
php5-gmp-5.2.14-0.42.1
php5-hash-5.2.14-0.42.1
php5-iconv-5.2.14-0.42.1
php5-imap-5.2.14-0.42.1
php5-json-5.2.14-0.42.1
php5-ldap-5.2.14-0.42.1
php5-mbstring-5.2.14-0.42.1
php5-mcrypt-5.2.14-0.42.1
php5-mhash-5.2.14-0.42.1
php5-mysql-5.2.14-0.42.1
php5-ncurses-5.2.14-0.42.1
php5-odbc-5.2.14-0.42.1
php5-openssl-5.2.14-0.42.1
php5-pcntl-5.2.14-0.42.1
php5-pdo-5.2.14-0.42.1
php5-pear-5.2.14-0.42.1
php5-pgsql-5.2.14-0.42.1
php5-posix-5.2.14-0.42.1
php5-pspell-5.2.14-0.42.1
php5-shmop-5.2.14-0.42.1
php5-snmp-5.2.14-0.42.1
php5-soap-5.2.14-0.42.1
php5-sockets-5.2.14-0.42.1
php5-sqlite-5.2.14-0.42.1
php5-suhosin-5.2.14-0.42.1
php5-sysvmsg-5.2.14-0.42.1
php5-sysvsem-5.2.14-0.42.1
php5-sysvshm-5.2.14-0.42.1
php5-tokenizer-5.2.14-0.42.1
php5-wddx-5.2.14-0.42.1
php5-xmlreader-5.2.14-0.42.1
php5-xmlrpc-5.2.14-0.42.1
php5-xsl-5.2.14-0.42.1
php5-zlib-5.2.14-0.42.1

- SLE SDK 10 SP4 (i586 ia64 ppc s390x x86_64):

apache2-mod_php5-5.2.14-0.42.1
php5-5.2.14-0.42.1
php5-bcmath-5.2.14-0.42.1
php5-bz2-5.2.14-0.42.1
php5-calendar-5.2.14-0.42.1
php5-ctype-5.2.14-0.42.1
php5-curl-5.2.14-0.42.1
php5-dba-5.2.14-0.42.1
php5-dbase-5.2.14-0.42.1
php5-devel-5.2.14-0.42.1
php5-dom-5.2.14-0.42.1
php5-exif-5.2.14-0.42.1
php5-fastcgi-5.2.14-0.42.1
php5-ftp-5.2.14-0.42.1
php5-gd-5.2.14-0.42.1
php5-gettext-5.2.14-0.42.1
php5-gmp-5.2.14-0.42.1
php5-hash-5.2.14-0.42.1
php5-iconv-5.2.14-0.42.1
php5-imap-5.2.14-0.42.1
php5-ldap-5.2.14-0.42.1
php5-mbstring-5.2.14-0.42.1
php5-mcrypt-5.2.14-0.42.1
php5-mhash-5.2.14-0.42.1
php5-mysql-5.2.14-0.42.1
php5-ncurses-5.2.14-0.42.1
php5-odbc-5.2.14-0.42.1
php5-openssl-5.2.14-0.42.1
php5-pcntl-5.2.14-0.42.1
php5-pdo-5.2.14-0.42.1
php5-pear-5.2.14-0.42.1
php5-pgsql-5.2.14-0.42.1
php5-posix-5.2.14-0.42.1
php5-pspell-5.2.14-0.42.1
php5-shmop-5.2.14-0.42.1
php5-snmp-5.2.14-0.42.1
php5-soap-5.2.14-0.42.1
php5-sockets-5.2.14-0.42.1
php5-sqlite-5.2.14-0.42.1
php5-suhosin-5.2.14-0.42.1
php5-sysvmsg-5.2.14-0.42.1
php5-sysvsem-5.2.14-0.42.1
php5-sysvshm-5.2.14-0.42.1
php5-tidy-5.2.14-0.42.1
php5-tokenizer-5.2.14-0.42.1
php5-wddx-5.2.14-0.42.1
php5-xmlreader-5.2.14-0.42.1
php5-xmlrpc-5.2.14-0.42.1
php5-xsl-5.2.14-0.42.1
php5-zlib-5.2.14-0.42.1


References:

http://support.novell.com/security/cve/CVE-2013-1635.html
http://support.novell.com/security/cve/CVE-2013-1643.html
http://support.novell.com/security/cve/CVE-2013-4113.html
http://support.novell.com/security/cve/CVE-2013-4635.html
https://bugzilla.novell.com/807707
https://bugzilla.novell.com/828020
https://bugzilla.novell.com/829207

http://download.novell.com/patch/finder/?keywords=512092ac1a057c2d35c038267a87ab52

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
List Navigation
This Thread
  • No further messages